Package virtuoso.jdbc4

## Class VirtuosoPoolStatistic

- java.lang.Object
- - virtuoso.jdbc4.VirtuosoPoolStatistic

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class VirtuosoPoolStatistic
    extends java.lang.Object
    implements java.lang.Cloneable

### Field Summary

Fields
`protected long` `_cum_wtime`
`protected int` `_hits`
`protected long` `_max_wtime`
`protected long` `_min_wtime`
`protected int` `_misses`
`protected int` `cacheSize`
`protected int` `conn_unUsed`
`protected int` `connIn_Use`
`protected java.lang.String` `name`

### Constructor Summary

Constructors
`protected` `VirtuosoPoolStatistic​()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Object` `clone​()`
`int` `getCacheSize​()` Returns the connection pool size.
`int` `getConnsInUse​()` Returns the amount of used connections in the connection pool size.
`int` `getConnsUnUsed​()` Returns the amount of unused connections in the connection pool size.
`long` `getCumWaitTime​()` Returns the sum of all waiting time for the connection pool.
`int` `getHits​()` Returns the amount of the connection pool hits.
`long` `getMaxWaitTime​()` Returns the maximal waiting time for the connection pool.
`long` `getMinWaitTime​()` Returns the minimal waiting time for the connection pool.
`int` `getMisses​()` Returns the amount of the connection pool misses.
`java.lang.String` `getName​()` Returns the name of ConectionPoolDataSource.
`protected void` `setCacheParam​(java.lang.String _name, int _cacheSize, int _conn_unUsed, int _connIn_Use)`
`protected void` `setWaitingTime​(long tm)`
`java.lang.String` `toString​()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    protected java.lang.String name

#### conn_unUsed

    protected volatile int conn_unUsed

#### connIn_Use

    protected volatile int connIn_Use

#### cacheSize

    protected volatile int cacheSize

#### _hits

    protected volatile int _hits

#### _misses

    protected volatile int _misses

#### _max_wtime

    protected volatile long _max_wtime

#### _min_wtime

    protected volatile long _min_wtime

#### _cum_wtime

    protected volatile long _cum_wtime

### Constructor Detail

#### VirtuosoPoolStatistic

    protected VirtuosoPoolStatistic​()

### Method Detail

#### setCacheParam

    protected void setCacheParam​(java.lang.String _name,
                                 int _cacheSize,
                                 int _conn_unUsed,
                                 int _connIn_Use)

#### setWaitingTime

    protected void setWaitingTime​(long tm)

#### clone

    protected java.lang.Object clone​()

Overrides:
  `clone` in class `java.lang.Object`

#### getHits

    public int getHits​()

Returns the amount of the connection pool hits.

Returns:
  the connection pool hits

#### getMisses

    public int getMisses​()

Returns the amount of the connection pool misses.

Returns:
  connection pool misses

#### getMaxWaitTime

    public long getMaxWaitTime​()

Returns the maximal waiting time for the connection pool.

Returns:
  the maximal waiting time

#### getMinWaitTime

    public long getMinWaitTime​()

Returns the minimal waiting time for the connection pool.

Returns:
  the minimal waiting time

#### getCumWaitTime

    public long getCumWaitTime​()

Returns the sum of all waiting time for the connection pool.

Returns:
  the sum of all waiting time

#### getCacheSize

    public int getCacheSize​()

Returns the connection pool size.

Returns:
  the pool size

#### getConnsInUse

    public int getConnsInUse​()

Returns the amount of used connections in the connection pool size.

Returns:
  the amount of used connections

#### getConnsUnUsed

    public int getConnsUnUsed​()

Returns the amount of unused connections in the connection pool size.

Returns:
  the amount of unused connections

#### getName

    public java.lang.String getName​()

Returns the name of ConectionPoolDataSource.

Returns:
  the name

#### toString

    public java.lang.String toString​()

Overrides:
  `toString` in class `java.lang.Object`